package ejb31.war.servlet;

import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;
import javax.ejb.EJB;

public class DefaultInterceptor {

    @EJB MessageBean msg;
    String MESSAGE = "DefaultInterceptor";

    @AroundInvoke
    public Object log(InvocationContext ctx) throws Exception {


        System.out.println("*** Demo log interceptor invoked *** ");
        if (msg != null && !msg.getMessage().contains(MESSAGE)){
	    msg.appendMessage(MESSAGE);
	}
        System.out.println("log: msg="+msg);
        System.out.println("*** DEFAULT Interceptor for the EJB Module invoked for " +ctx.getTarget()+" ***");   
        return ctx.proceed();
         
    }
}
